<id>
Hide Post Modified Footer
</id>

<version>
1.0
</version>

<mod info>
Version History:
1.0  : First Release

###########################################################
Allows forum users to ommit the "post edited by/on" footer
placed at the bottom of a post when a user edits a post.

Administrators can choose whether Administrators,
Global Moderators, Board Moderators or Post Owners can
ommit this footer through the mod settings in the
Admin Center.

When you initially install this mod, the feature will be OFF
############################################################

Instructions:
-------------
Backup your forum (or at least the below modded files).
 
Apply this mod file using BOARDMOD in the usual way.

Upload the following modified files:
  -AdminIndex.pl
	-Admin/AdminSubList.pl
	-Admin/ModList.pl
	-Sources/ModifyMessage.pl
	-Sources/Post.pl	
	-Sources/Sublist.pl
	-Languages/English/Admin.lng
	-Languages/English/Post.lng	
	
Upload the new file:
  -Admin/HidePostModified.pl in to your Admin folder.

Chmod your files as appropriate.

You must first visit the Admin Center and select who can ommit the footer before it will work.

The settings are saved to hpmSettings.pl in the variables folder.  This file will be created when you first save the settings.
Your forum will continue to operate if this file does not exist.
</mod info>

<author>
Lectrician (Martin)
</author>

<homepage>
www.askthetrades.co.uk/cgi-bin/yabb/YaBB.pl
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### BOARDMOD ANCHOR ###
</search for>

<add after>
  $postmodifyhide = "Hide Post Modified Footer|Lectrician (Martin) - <a href=\"http://www.askthetrades.co.uk/cgi-bin/yabb/YaBB.pl\" target=\"_blank\">Ask The Trades</a>|This mod allows Administrators, Global Moderators and Board Moderators to hide the <span class=\"small\">&nbsp;&nbsp;<b> Last Edit: Today at 8:59am by Lectrician </b>&nbsp;&nbsp;</span> message on posts.<p>You can choose who can hide this message on your <a href=\"$adminurl?action=hidepostmodified\"><b>settings</b></a> page.|1.0|04/06/12";
	push (@installed_mods, "$postmodifyhide");
</add after>

<edit file>
Adminindex.pl
</edit file>

<search for>
### BOARDMOD ANCHOR ###
</search for>

<add after>
	$postmodifyhide = "hidepostmodified|Post Modified By Footer|Change who can hide the Post Modified By Footer|";
	push (@boardmod_mods, "$postmodifyhide");
</add after>

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
%director=( # in alphabetical Order!
</search for>

<add after>
'hidepostmodified',"HidePostModified.pl&HidePostModified",
'hidepostmodified2',"HidePostModified.pl&HidePostModified2",
</add after>

<edit file>
Sources/Post.pl
</edit file>

<search for>
$lastmod
</search for>

<add after>
$lastmodsave
</add after>

<edit file>
Sources/ModifyMessage.pl
</edit file>

<search for>
		$lastmod = qq~
<tr>
	<td valign="top" width="23%"><span class="text1"><b>$post_txt{'211'}:</b></span></td>
	<td><span class="text1">$lastmod</span></td>
</tr>
~;
</search for>

<add after>
##hpm
    if (-e "$vardir/hpmSettings.pl" && $hpm_loaded != 1){ require "$vardir/hpmSettings.pl"; }
    if (($hpm_admins_checked eq "checked" && $iamadmin) || ($hpm_gmods_checked eq "checked" && $iamgmod) || ($hpm_mods_checked eq "checked" && $iammod) || ($hpm_poster_checked eq "checked" && $username eq $musername)){
      $lastmodsave = qq~
<tr>
	<td class="windowbg" width="23%">
		<b>$post_txt{'hpm_1'}:</b>
	</td>
	<td class="windowbg" width="77%">
		<input type="checkbox" name="hpm" checked /> <span class="small"> $post_txt{'hpm_2'}</span>
	</td>
</tr>		
      ~;
    }
##hpm
</add after>

<search for>
	${$thread_arrayref{$threadid}}[$postid] = qq~$subject|$mname|$memail|$mdate|$musername|$icon|0|$useredit_ip|$message|$ns|$date|$username|$fixfile\n~;
</search for>

<replace>
##hpm
  if ($FORM{'hpm'} eq "on"){
	  $savedate = $date;
		$saveusername = $username;
	}
##hpm
		
	${$thread_arrayref{$threadid}}[$postid] = qq~$subject|$mname|$memail|$mdate|$musername|$icon|0|$useredit_ip|$message|$ns|$savedate|$saveusername|$fixfile\n~;		
</replace>

<edit file>
Languages/English/Post.lng
</edit file>

<search for>
%post_txt = (
</search for>

<add after>
'hpm_1' => 'Show Edited By Details',
'hpm_2' => 'Uncheck this to hide the <i>"last edited by"</i> text. (Please use this only in exceptional circumstances!)',
</add after>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
%admin_txt = (
</search for>

<add after>
'hpm_1' => 'Hide Post Modified By Footer',
'hpm_2' => 'This mod allows you to select whether Administrators, Global Moderators, Board Moderators or Post Owners<br />can hide the',
'hpm_3' => 'Last Edit: Today at 8:59am by Lectrician',
'hpm_4' => ' footer on a post.<br />The option to hide this footer is via a checkbox on the bottom of the posting page (near disable smilies)',
'hpm_5' => 'Select those who can hide the footer',
'hpm_6' => 'Administrators',
'hpm_7' => 'Global Moderators',
'hpm_8' => 'Board Moderator',
'hpm_9' => 'Post Owner',
'hpm_10' => 'Save Settings',
</add after>